/* (C) 2022 YiRing, Inc. */
package com.yiring.app.feign;

import com.alibaba.fastjson.JSONObject;
import com.yiring.app.param.video.StreamProxyItem;
import feign.Response;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.scheduling.annotation.Async;
import org.springframework.web.bind.annotation.*;

/**
 * @author tzl
 * 2022/4/18 14:22
 */
@FeignClient(url = "${env.host}:3008", name = "gb")
public interface GbClient {
    @RequestMapping(value = "/api/user/login", method = RequestMethod.GET)
    Response userLogin(
        @RequestParam(name = "username") String username,
        @RequestParam(name = "password") String password
    );

    @RequestMapping(value = "/api/proxy/save", method = RequestMethod.POST)
    @Async
    JSONObject proxySave(@RequestBody StreamProxyItem streamProxyItem, @RequestHeader("Cookie") String cookie);

    @RequestMapping(value = "/api/proxy/del", method = RequestMethod.DELETE)
    @Async
    JSONObject proxyDel(
        @RequestParam(name = "app") String app,
        @RequestParam(name = "stream") String stream,
        @RequestHeader("Cookie") String cookie
    );
}
